Bug 55679 - gtoaster hangs when recording audio tracks with mpg321
Summary: gtoaster hangs when recording audio tracks with mpg321
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mpg321   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-04 19:27 UTC by Faisal Malallah
Modified: 2014-03-17 02:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-06 07:48:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:078 normal SHIPPED_LIVE : Updated mpg321 packages available 2002-04-30 04:00:00 UTC

Description Faisal Malallah 2001-11-04 19:27:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
When I try to create an audio CD with any version of gtoaster from MP3
files, gtoaster hangs while recording the first track.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Launch Gtoaster
2.Add mp3 files to tracks
3.start recording
	

Actual Results:  gtoaster hangs while recording the first track

Expected Results:  Complete recording of all tracks

Additional info:

I tried several versions of gtoaster; all gave the same problem. After I
noticed that mpg123 in redhat 7.2 is actually a link to mpg321. I got
mpg123 0.59r binary from an older installation of redhat 7.0 and put it
instead of the link in redhat 7.2. It worked, the whole CD burned with no
problem.

Comment 1 Marty Shannon 2001-11-08 22:16:13 UTC
Actually, the bug is on line 87 of mad.c in mpg321-0.1.5 where the return value
from read() is only compared == -1, not <= 0.  This fix should also be
propagated to the developer, as it probably appears elsewhere in the code as
well.  (I think this code only gets executed for files that can't be mmap()ed; I
found it while processing a file on an NFS filesystem.)

Comment 2 Tim Miller 2001-11-20 13:46:05 UTC
Just for some more information, you don't need gtoaster to hang the
mpg321 program.  Any time you redirect output to mpg321 (using the
- option), it hangs at or near the end of the file.  The simplest
test is to cat the mp3 to mpg321 and try to write out a file (-w
or -s options) and it hangs at the end.

As was noted before, mpg123 0.59q (version I used) does not have this
problem.


Comment 3 Joe Drew 2002-04-06 07:48:51 UTC
This is fixed in mpg321 0.2.9 and greater; hopefully the next version of Red Hat
will include 0.2.10.

Comment 4 Bill Nottingham 2002-04-30 21:22:02 UTC
Should be fixed in 0.2.9-3.


Note You need to log in before you can comment on or make changes to this bug.